| Irrlicht 3D Engine |

Public Member Functions
irr::io::IReadFile Class Reference

Interface providing read acess to a file. More...

`#include <IReadFile.h>`

Inheritance diagram for irr::io::IReadFile:

List of all members.

## Public Member Functions

- virtual const io::path & getFileName () const =0
    Get name of file.
- virtual long getPos () const =0
    Get the current position in the file.
- virtual long getSize () const =0
    Get size of file.
- virtual s32 read (void *buffer, u32 sizeToRead)=0
    Reads an amount of bytes from the file.
- virtual bool seek (long finalPos, bool relativeMovement=false)=0
    Changes position in file.

## Detailed Description

Interface providing read acess to a file.

Definition at line 17 of file IReadFile.h.

## Member Function Documentation

virtual const io::path& irr::io::IReadFile::getFileName | ( |  | ) | const`[pure virtual]`

Get name of file.

Returns:
  File name as zero terminated character string.

virtual long irr::io::IReadFile::getPos | ( |  | ) | const`[pure virtual]`

Get the current position in the file.

Returns:
  Current position in the file in bytes.

virtual long irr::io::IReadFile::getSize | ( |  | ) | const`[pure virtual]`

Get size of file.

Returns:
  Size of the file in bytes.

virtual s32 irr::io::IReadFile::read | ( | void * | buffer,
|  | u32 | sizeToRead
| ) |  | `[pure virtual]`

Reads an amount of bytes from the file.

Parameters:

  buffer | Pointer to buffer where read bytes are written to.
  sizeToRead | Amount of bytes to read from the file.

Returns:
  How many bytes were read.

virtual bool irr::io::IReadFile::seek | ( | long | finalPos,
|  | bool | relativeMovement = `false`
| ) |  | `[pure virtual]`

Changes position in file.

Parameters:

  finalPos | Destination position in the file.
  relativeMovement | If set to true, the position in the file is changed relative to current position. Otherwise the position is changed from beginning of file.

Returns:
  True if successful, otherwise false.

The documentation for this class was generated from the following file:

- IReadFile.h